val read_all : in_channel -> string
val file_exists : string -> bool
val remove_if_exists : string -> unit
val recursive_remove : string -> unit
val copy : string -> string -> unit
val copydir : string -> string -> unit
val write_file : string -> string -> unit
val write_file_opt : string option -> string -> unit
val mkdir : string -> unit
type catable = String of string | File of string
val cat : catable list -> string
(** Warning -- overwrites the file. *)
val cat_to_file : catable list -> string -> unit

(** [chop_in_two s n] chops [s] into two pieces the first of which has length
    [n]. *)
val chop_in_two : string -> int -> (string * string)
(** [textwrap s chars] wraps [s] so that no line is longer than [chars]. *)
val textwrap : string -> int -> string
